View Issue Details

IDProjectCategoryView StatusLast Update
0000774SymmetricDSBugpublic2014-02-02 20:52
ReporterabrougherAssigned Toabrougher 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.0 
Target Version3.1.2Fixed in Version3.1.2 
Summary0000774: DbFill does not respect a columns scale and precision.
DescriptionDbFill generates a random double with no limits on precision or scale. This can cause issues.
TagsNo tags attached.

Activities

abrougher

2012-08-14 21:58

developer   ~0000068

Added support for generating a random BigDecimal within the range of a column's precision and scale.

Related Changesets

SymmetricDS: master 62814c8d

2012-08-14 21:56:39

abrougher

Details Diff
0000774: DbFill does not respect a columns scale and precision.
0000774
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbFill.java Diff File

Issue History

Date Modified Username Field Change
2012-08-14 21:55 abrougher New Issue
2012-08-14 21:55 abrougher Status new => assigned
2012-08-14 21:55 abrougher Assigned To => abrougher
2012-08-14 21:58 abrougher Note Added: 0000068
2012-08-14 21:58 abrougher Status assigned => resolved
2012-08-14 21:58 abrougher Fixed in Version => 3.1.0
2012-08-14 21:58 abrougher Resolution open => fixed
2012-08-15 10:09 chenson Project SymmetricDS Pro => SymmetricDS
2012-08-15 10:12 chenson Fixed in Version 3.1.0 => 3.1.2
2012-08-15 10:12 chenson Target Version => 3.1.2
2012-08-22 15:49 chenson Status resolved => closed
2014-02-02 20:52 abrougher Changeset attached => SymmetricDS trunk r6196
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 62814c8d